//----------------------------------------------------------------------------------------------------//

/* 
 *       This Code Was Created By Jan Koci (Kwan) 2002
 *       Visit My Site (GLART) At http://koci.opengl.cz 
 */

//----------------------------------------------------------------------------------------------------//

/* 
 * KCamera.h
 * 
 * Hlavikov soubor pohybu kamery
 * 
 *
 */

//----------------------------------------------------------------------------------------------------//

//----------------------------------------------------------------------------------------------------//

#ifndef _KCAMERA_H		// Jestlie nen definovn tento hlavikov soubor
#define _KCAMERA_H		// Tak ho definuj

//----------------------------------------------------------------------------------------------------//



//----------------------------------------------------------------------------------------------------//
//-------- Definuj tdy 
//----------------------------------------------------------------------------------------------------//

class KCamera				// Tda kamer
{
public:
	KCamera();				// Konstruktor kamery
	~KCamera();				// Destruktor kamery
	
	// Promnn
    KVector3 Position;		// Pozice kamery
	KVector3 Angle;			// hel rotace kamery
	KVector3 View;			// Pozice bodu, na kter kouk kamera
	KVector3 Up;			// Pozice Up Vectoru
	KVector3 Strafe;		// Vektor pro posunut do stran
	float speed;			// Rychlost kamery

	// Funkce
	void RotateView(float angle, float X, float Y, float Z);	// Rotace bodu, na kter kouk kamera
	void SetViewByMouse();				// Rotace kamery pomoc myi (First person view)
	void StrafeCamera(float speed);		// Posun kamery doprava, nebo doleva podle hodnoty speed (+ nebo -)
	void MoveCamera(float speed);		// Pohyb kamery vped a vzad podle hodnoty speed (+ nebo -) 
	void Look();						// Vol funkci gluLookAt() pro nastaven kamery, podle pedem vypotench hodnot
	void GoForward();					// Pohyb dopedu
	void GoBackward();					// Pohyb dozadu
	void GoUp();						// Pohyb nahoru
	void GoDown();						// Pohyb dolu
	void StrafeLeft();					// Pohyb doleva
	void StrafeRight();					// Pohyb doprava
	void TurnLeft();					// Rotace doleva
	void TurnRight();					// Rotace doprava
	void TurnUp();						// Rotace nahoru
	void TurnDown();					// Rotace dolu				
};

//----------------------------------------------------------------------------------------------------//



//----------------------------------------------------------------------------------------------------//

#endif		// Konec definice tohoto hlavikovho souboru

//----------------------------------------------------------------------------------------------------//