// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__A9DB83DB_A9FD_11D0_BFD1_444553540000__INCLUDED_)
#define AFX_STDAFX_H__A9DB83DB_A9FD_11D0_BFD1_444553540000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers


//----------------------------------------------------------------------------------------------------//
//-------- Hlavikov soubory C funkc
//----------------------------------------------------------------------------------------------------//
 
#include <stdio.h>				// Pouvej I/O vstupn vstupn rutiny
#include <stdlib.h>				// Pouvej hlavikov soubor zkladnch funkc C
#include <malloc.h>				// Pouvej hlavikov soubor funkc pro alokovn pamti
#include <memory.h>				// Pouvej hlavikov soubor funkc pro manipulaci s pamt
#include <tchar.h>				// Pouvej hlavikov soubor funkc pro manipulaci s psmem
#include <math.h>				// Pouvej hlavikov soubor matematickch funkc



//----------------------------------------------------------------------------------------------------//
//-------- Hlavikov soubory Win32
//----------------------------------------------------------------------------------------------------//

#include <windows.h>			// Pouvej hlavikov soubor Windows 
#include <winbase.h>			// Pouvej 32-Bit Windows Base API 


/*
//----------------------------------------------------------------------------------------------------//
//-------- Hlavikov soubory MFC
//----------------------------------------------------------------------------------------------------//
 
#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxdisp.h>        // MFC OLE automation classes
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT

#include <afxmt.h>
*/

//----------------------------------------------------------------------------------------------------//
//-------- Hlavikov soubory OpenGL
//----------------------------------------------------------------------------------------------------//

#include <gl\gl.h>				// Pouvej hlavikov soubor funkc knihovny opengl32.lib importovan z ovladae opengl32.dll
#include <gl\glu.h>				// Pouvej hlavikov soubor funkc knihovny glu32.lib importovan z ovladae glu32.dll
#include <gl\glaux.h>			// Pouvej hlavikov soubor funkc knihovny glaux.lib	


//----------------------------------------------------------------------------------------------------//
//-------- Moje hlavikov soubory
//----------------------------------------------------------------------------------------------------//

#include "KMath.h"				// Pouvej hlavikov soubor algoritm
#include "KCamera.h"			// Pouvej hlavikov soubor pohybu kamery
#include "KTime.h"				// Pouvej hlavikov soubor pro vpoet FPS
#include "KFonts.h"				// Pouvej hlavikov soubor pro vykreslovn bitmap font
#include "KScene.h"				// Pouvej hlavikov soubor zdrojovho souboru, kter inicializuje, vykresluje, nebo destruuje objekty
#include "KObjects.h"			// Pouvej hlavikov soubor pro inicializaci, vykreslovn, nebo destrukci objekt
#include "KTextures.h"			// Pouvej hlavikov soubor pro prci s texturama
#include "KViewValue.h"			// Pouvej hlavikov soubor vykreslujc kontroln hodnoty do tytulku okna
#include "main.h"				// Pouvej hlavikov soubor zkladnho nastaven OpenGL aplikace
#include "KResource.h"			// Pouvej hlavikov soubor zdroj

//----------------------------------------------------------------------------------------------------//


// TODO: reference additional headers your program requires here

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__A9DB83DB_A9FD_11D0_BFD1_444553540000__INCLUDED_)
